edu.ucsb.nceas.metacat.clientview

## Class ClientViewBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - edu.ucsb.nceas.metacat.clientview.ClientViewBeanInfo

- All Implemented Interfaces:
    java.beans.BeanInfo

      public class ClientViewBeanInfo
      extends java.beans.SimpleBeanInfo

  Author:
    barteau

- - ### Field Summary

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientViewBeanInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.beans.BeanDescriptor` | `getBeanDescriptor()` Gets the bean's `BeanDescriptor`s.
    `int` | `getDefaultEventIndex()` A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.
    `int` | `getDefaultPropertyIndex()` A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.
    `java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()` Gets the bean's `EventSetDescriptor`s.
    `java.beans.MethodDescriptor[]` | `getMethodDescriptors()` Gets the bean's `MethodDescriptor`s.
    `java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Gets the bean's `PropertyDescriptor`s.

    - ### Methods inherited from class java.beans.SimpleBeanInfo

      `getAdditionalBeanInfo, getIcon, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientViewBeanInfo

          public ClientViewBeanInfo()

  - ### Method Detail

    - #### getBeanDescriptor

          public java.beans.BeanDescriptor getBeanDescriptor()

      Gets the bean's `BeanDescriptor`s.
      Specified by:
        `getBeanDescriptor` in interface `java.beans.BeanInfo`
      Overrides:
        `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`
      Returns:
        BeanDescriptor describing the editable properties of this bean. May return null if the information should be obtained by automatic analysis.

    - #### getPropertyDescriptors

          public java.beans.PropertyDescriptor[] getPropertyDescriptors()

      Gets the bean's `PropertyDescriptor`s.
      Specified by:
        `getPropertyDescriptors` in interface `java.beans.BeanInfo`
      Overrides:
        `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`
      Returns:
        An array of PropertyDescriptors describing the editable properties supported by this bean. May return null if the information should be obtained by automatic analysis.

        If a property is indexed, then its entry in the result array will belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor. A client of getPropertyDescriptors can use "instanceof" to check if a given PropertyDescriptor is an IndexedPropertyDescriptor.

    - #### getEventSetDescriptors

          public java.beans.EventSetDescriptor[] getEventSetDescriptors()

      Gets the bean's `EventSetDescriptor`s.
      Specified by:
        `getEventSetDescriptors` in interface `java.beans.BeanInfo`
      Overrides:
        `getEventSetDescriptors` in class `java.beans.SimpleBeanInfo`
      Returns:
        An array of EventSetDescriptors describing the kinds of events fired by this bean. May return null if the information should be obtained by automatic analysis.

    - #### getMethodDescriptors

          public java.beans.MethodDescriptor[] getMethodDescriptors()

      Gets the bean's `MethodDescriptor`s.
      Specified by:
        `getMethodDescriptors` in interface `java.beans.BeanInfo`
      Overrides:
        `getMethodDescriptors` in class `java.beans.SimpleBeanInfo`
      Returns:
        An array of MethodDescriptors describing the methods implemented by this bean. May return null if the information should be obtained by automatic analysis.

    - #### getDefaultPropertyIndex

          public int getDefaultPropertyIndex()

      A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.
      Specified by:
        `getDefaultPropertyIndex` in interface `java.beans.BeanInfo`
      Overrides:
        `getDefaultPropertyIndex` in class `java.beans.SimpleBeanInfo`
      Returns:
        Index of default property in the PropertyDescriptor array returned by getPropertyDescriptors.

        Returns -1 if there is no default property.

    - #### getDefaultEventIndex

          public int getDefaultEventIndex()

      A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.
      Specified by:
        `getDefaultEventIndex` in interface `java.beans.BeanInfo`
      Overrides:
        `getDefaultEventIndex` in class `java.beans.SimpleBeanInfo`
      Returns:
        Index of default event in the EventSetDescriptor array returned by getEventSetDescriptors.

        Returns -1 if there is no default event.

Copyright © 2020 Regents of the University of California. All Rights Reserved.